#include <stdio.h>
#include <conio.h>

unsigned char far *videomem = (unsigned char far*)0xa0000000l; /* a0000h */

void pixel(int x, int y, unsigned char c)
{
	videomem[((long)y << 8) + (y << 6) + x] = c;
}

void main()
{
	int i;
	_asm mov ax,0x13;
	_asm int 0x10;
	for (i = 0; i < 100; i++) pixel(i, i / 2, i);
	getch();
	_asm mov ax,3;
	_asm int 0x10;

}
